The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Script Installs need upgrading

Discussion in 'General Discussion' started by yurster, Jan 21, 2008.

  1. yurster

    yurster Member

    Joined:
    Jun 13, 2003
    Messages:
    14
    Likes Received:
    0
    Trophy Points:
    1
    I keep getting this email even though I've deleted the yabb directory. Anyone have any suggestions?

    Subject: Software Security Notice - Script Installs need upgrading

    In order to protect the security of your users' website, we recommend that you upgrade the following scripts that were installed via the "Scripts Library" in your cPanel interface:

    [username]
    - YaBB.0 v2.1
    Location: at http://domain.com/yabb/
    Latest: v0
    Upgrade here: [location]
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    It seems you installed this app via cPAddons. Have you attempted to uninstall it via that interface? If not, that would explain this. Simply deleting the files does not fully uninstall the application.
     
  3. yurster

    yurster Member

    Joined:
    Jun 13, 2003
    Messages:
    14
    Likes Received:
    0
    Trophy Points:
    1
    Great. I'll have a look at that. Thanks.
     
  4. rsutc

    rsutc Well-Known Member

    Joined:
    Oct 8, 2002
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    6
    OK I have this problem too. The customer installed WordPress in cPanel, and apparently later deleted he directory. Now the cPanal addon interface is sending me the above mail message. Now I bring up in whm the page
    cPAddon Scripts Client Install Manager
    and it does list the offending script as installed. When I click on "uninstall" and then "yes I am sure" I get a message that says
    Uninstalling <usr> cPanel::Blogs::WordPress.0.yaml installation here...
    cPAddon cPanel::Blogs::WordPress

    This is a cPanel packaged module. (v2003.0211)

    Website http://www.wordpress.org/


    However, it does not actually forget the install, probably because there is nothing to uninstall. How do I just change the database or config file to make it forget this was ever there?


    edit O I forgot. If I click on "Addon Script Manager" farther down on whm I get


    Addon Script Manager
    [a fatal error or timeout occurred while processing this directive]


    Rick
     
    #4 rsutc, Jan 25, 2008
    Last edited: Jan 25, 2008
  5. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    Look for a .cpaddons directory in the user's home directory. Inside will be a .yaml file, like:

    Code:
    cPanel::Blogs::WordPress.0.yaml
    
    Find the one corresponding to the YAPP install and delete the .yaml file.

    The 'Addon Script Manager' is deprecated and should not be used.
     
  6. gkgcpanel

    gkgcpanel Well-Known Member

    Joined:
    Jun 6, 2007
    Messages:
    217
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    I get this email daily

    From only 1 account on the server using phpMyChat... He wants to continue using it, and I have it set to not notify me when an upgrade is necessary. Yet I still get the email on a daily basis and can't figure out how to stop it from coming in.
     
  7. Drew Nichols

    Drew Nichols Well-Known Member

    Joined:
    May 5, 2003
    Messages:
    96
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    SC
    Does anyone know how to stop the daily email that comes in?
     
  8. excapehost

    excapehost Member

    Joined:
    May 22, 2006
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    may i know how do we upgrading all the cpaddons ?
     
  9. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    cPanel users can update their scripts by going to the Site Software section.

    System administrators can force upgrades to all/some of the cPAddons running on their server by going to WHM -> cPanel -> Manage cPAddons
     
  10. gkgcpanel

    gkgcpanel Well-Known Member

    Joined:
    Jun 6, 2007
    Messages:
    217
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    This doesn't seem to work. We get a message stating that we are already running the latest version (even though the latest version is over a year old).

    Apparently these modules are modified to work with cPanel/WHM and although new versions exist, they have not been modified to work with cPanel/WHM, so we can't update.

    So it would seem that the modified cPanel version is a tad out of date with the newer (or current) version available.
     
  11. 7thDsites

    7thDsites Member

    Joined:
    Jun 21, 2004
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    MT
    why deprecate something that seems like a really useful and great tool?

    -
    I'm actually hoping that someone could please tell me how I can do an install and have it show up in the lists of the addons...
    i.e. I've installed the latest release of soholaunch on our vps but it's not showing up in the whm, actually it's not even being acknowledged in the cpanel either, but if I try to create a new soholaunch through the cpanel, using the same info, it fails to create it and says the account was already created.
    Also, since I can't see the soho installed on this particular account I can't uninstall it either as apparently cpanel doesn't see it other than when trying to create it anew.
     
  12. gkgcpanel

    gkgcpanel Well-Known Member

    Joined:
    Jun 6, 2007
    Messages:
    217
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    Manage cPAddons still broken? ...


    This still doesn't seem to work... I just tried again through cPanel -> Manage cPAddons to update Mambo from 4.6.1 to 4.6.3 and this is what I get:


    cPAddon Scripts Client Install Manager
    Upgrading druas cPanel::CMS::Mambo.0.yaml installation here...
    cPAddon cPanel::CMS::Mambo

    This is a modified cPanel module. Please contact the maintainer for support. (v0.2)

    Website http://www.mamboserver.com/


    So, there appears to be no way to update these add ons which are horribly out of date. Is someone one/department at cPanel supposed to maintain the modified cpanel modules ? Or how do these get updated???

    Thanks.
     
  13. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    That tool was replaced by the cPAddons tools. No sense in maintaining two tools, especially as the older one could not work with the installs created by the newer tool.

    Is there any output in /usr/local/cpanel/logs/error_log when you attempt the upgrade? Are you performing the upgrade via the root/reseller login in the user's cPanel, or via direct login to the user's cPanel?

    You could also open a support ticket https://tickets.cpanel.net/submit/ and our Techs will resolve the matter for you.
     
  14. gkgcpanel

    gkgcpanel Well-Known Member

    Joined:
    Jun 6, 2007
    Messages:
    217
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    cpanelkenneth, thank you for the insite. I did check the log files and found that the path was incorrect.

    Unable to understand response from admin bin: apache sent: LISTMULTIPARKED 0 received:[]: at /usr/local/cpanel/Cpanel/AdminBin.pm line 143.
    Cpanel::AdminBin::adminfetch(apache) set error in context
    Tue Jun 24 08:53:20 2008 die [cPAddons]: Could not create '/home2/druas/public_html/mambo.cpaddons_upgrade/' : No such file or directory at /usr/local/cpanel/Cpanel/cPAddons.pm line 1882
    Cpanel::cPAddons::stdupgrade(Cpanel::cPAddons=HASH(0x9ea97a8), HASH(0x9ea97fc), HASH(0x965b628)) called at /usr/local/cpanel/cpaddons/cPanel/CMS/Mambo.pm line 35
    cPanel::CMS::Mambo::upgrade(Cpanel::cPAddons=HASH(0x9ea97a8), HASH(0x9ea97fc), HASH(0x965b628)) called at /usr/local/cpanel/Cpanel/cPAddons.pm line 1614
    Cpanel::cPAddons::_handlemod(0, 'cPanel::CMS::Mambo', 'bfc2dda6d55b207d4f704a3fb4aacd28', HASH(0x965b628)) called at /usr/local/cpanel/Cpanel/cPAddons.pm line 358
    Cpanel::cPAddons::cPAddons_mainpg(HASH(0x965b628)) called at /usr/local/cpanel/whostmgr/docroot/cgi/cpaddons_report.pl line 436
    main::domainpgasuser('Upgrading', 'upgrade', 'druas', 'cPanel::CMS::Mambo.0.yaml', '<p align="center">[<a href="/cgi/cpaddons_report.pl?user=druas&show=up">Back</a>]</p>\x0A') called at /usr/local/cpanel/whostmgr/docroot/cgi/cpaddons_report.pl line 411
    main::upgrade('druas', 'cPanel::CMS::Mambo.0.yaml', '<p align="center">[<a href="/cgi/cpaddons_report.pl?user=druas&show=up">Back</a>]</p>\x0A') called at /usr/local/cpanel/whostmgr/docroot/cgi/cpaddons_report.pl line 79


    At one time our accounts were on a different server that had a path /home2 They were transferred to the new server (using cpmove) and apparently the paths in the cPaddon modules didn't update.

    I took one module and changed the paths to /home and the upgrade went further than before...

    It has upgraded from 4.6.1 to 4.6.2 (but won't go to 4.6.3)...

    The log file message now only shows the following:

    Unable to understand response from admin bin: apache sent: LISTSUBDOMAINS 0 received:[]: at /usr/local/cpanel/Cpanel/AdminBin.pm line 143.
    Cpanel::AdminBin::adminfetch(apache) set error in context
    Unable to understand response from admin bin: apache sent: LISTMULTIPARKED 0 received:[]: at /usr/local/cpanel/Cpanel/AdminBin.pm line 143.
    Cpanel::AdminBin::adminfetch(apache) set error in context


    And the screen comes up as follows:

    Upgrading druas cPanel::CMS::Mambo.0.yaml installation here...
    cPAddon cPanel::CMS::Mambo

    This is a modified cPanel module. Please contact the maintainer for support. (v0.2)

    Website http://www.mamboserver.com/

    This Addon has been modified (or the upgrade test failed) and is no longer updatable via this function.

    If you really want to force the upgrade please type the following in to the form below:

    I fully understand what I am doing and take full responsibility for my actions. I have backed up all my data so I can remove the installation, reinstall fresh and import my old info into the new install if necessary. I understand that anything that breaks by forcing this upgrade is 100% my responsibility.

    with an input box.

    I'm doing this from within WHM as root. I have also tried logging on directly to the users account and tried it, and I got the same result.

    Since I am unfamiliar with what will happen if I force the upgrade, I haven't done it yet :) I want to make sure it doesn't wipe out the entire server, which it shouldn't, but I'm not taking any chances.

    In any event, that will help, once I change the paths for all cPAddons from /home2 to /home they should for the most part upgrade as much as possible.

    Thanks again, and please let me know if it's safe for me to continue with the upgrade force.
     
  15. Wallaby

    Wallaby Well-Known Member

    Joined:
    Aug 15, 2001
    Messages:
    131
    Likes Received:
    1
    Trophy Points:
    18
    The CPAddons manage/upgrade facility basically seems pretty badly broken to me.

    Currently, I cannot upgrade Yabb either in WHM or in the user's CPanel account. I cannot upgrade B2Evolution: it tells me the upgrader is being reworked. When I do a report in WHM looking for scripts that need upgrading, it tells me stuff is at the latest version, when the versions listed are older than those in the Install CPAddons list... giving a false sense of security.

    This stuff has been messed up for months and months, please please either fix it properly or remove the whole shebang.
     
  16. AlexV.

    AlexV. Well-Known Member

    Joined:
    Jun 15, 2006
    Messages:
    212
    Likes Received:
    1
    Trophy Points:
    16
    gkgcpanel:

    I have been trying to replicate your issue within our testing environments, nonetheless unsuccessful. Even attempted copying the accounts from a server configured to use /home2.

    If you could open a ticket 'ATTENTION QA', we will gladly look into your issue and seek a prompt resolution.

    Thank you!
     
  17. NNNils

    NNNils Well-Known Member

    Joined:
    Sep 17, 2002
    Messages:
    580
    Likes Received:
    0
    Trophy Points:
    16
    I tried updating an old Advanced Guestbook to the newest version 2.4.3

    The update script started running succesfully but only updated to 2.4.2

    So I restarted the script to update from 2.4.2 to 2.4.3 but then nothing seems to happen really:

    cPAddon cPanel::Guest_Books::Advanced_Guestbook
    This is a cPanel packaged module. (v0.1)

    Support

    And then nothing happens.
     
  18. gkgcpanel

    gkgcpanel Well-Known Member

    Joined:
    Jun 6, 2007
    Messages:
    217
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    Yup, same thing that happens to me and on multiple scripts. no errors, no warnings, and no updates either...

    I was told it was because of a failed upgrade to cPanel and I should do an upcp --force

    Have done that. No joy.

    So this is still a problem.
     
  19. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    I recommend letting our technical analysts take a look at your server. You can do this by submitting a support ticket.
     
  20. audrey

    audrey Well-Known Member

    Joined:
    Oct 18, 2006
    Messages:
    72
    Likes Received:
    1
    Trophy Points:
    8
    stop emails that say "Software Security Notice - Script Installs need upgrading

    Hi

    I need to stop emails from cpanel that say "Software Security Notice - Script Installs need upgrading"

    thanks
    Audrey
     
Loading...

Share This Page